
uniform sampler2D u_texture0; 
precision mediump float;

uniform int u_ApplyTxMask;

varying vec2 v_texCoords;
varying vec4 v_color;


void main()
{
    if(u_ApplyTxMask > 1)
    {
    	vec4 v4Src = texture2D(u_texture0, v_texCoords);

        gl_FragColor = vec4(v_color.rgb, v4Src.a);
    }
    else
    {
        gl_FragColor = v_color;
    }
}